Bug 175260 - [JSC] Use reifying system for "name" property of builtin JSFunction
Summary: [JSC] Use reifying system for "name" property of builtin JSFunction
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-07 03:33 PDT by Yusuke Suzuki
Modified: 2017-08-31 03:04 PDT (History)
12 users (show)

See Also:


Attachments
Patch (108.07 KB, patch)
2017-08-07 03:51 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (116.22 KB, patch)
2017-08-07 04:48 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (116.42 KB, patch)
2017-08-07 07:02 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (943.00 KB, application/zip)
2017-08-07 10:57 PDT, Build Bot
no flags Details
Patch (116.58 KB, patch)
2017-08-08 05:15 PDT, Yusuke Suzuki
saam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2017-08-07 03:33:13 PDT
[JSC] Use reifying system for "name" property of builtin JSFunction
Comment 1 Yusuke Suzuki 2017-08-07 03:51:49 PDT
Created attachment 317410 [details]
Patch
Comment 2 Build Bot 2017-08-07 03:53:01 PDT
This patch modifies the JS builtins code generator. Please ensure that you have rebaselined any generator test results (i.e., by running `Tools/Scripts/run-builtins-generator-tests --reset-results`)
Comment 3 Yusuke Suzuki 2017-08-07 04:48:51 PDT
Created attachment 317415 [details]
Patch
Comment 4 Yusuke Suzuki 2017-08-07 07:02:38 PDT
Created attachment 317418 [details]
Patch
Comment 5 Build Bot 2017-08-07 10:57:30 PDT
Comment on attachment 317418 [details]
Patch

Attachment 317418 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/4270653

New failing tests:
js/dom/builtin-getter-name.html
Comment 6 Build Bot 2017-08-07 10:57:31 PDT
Created attachment 317439 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 7 Yusuke Suzuki 2017-08-08 05:15:54 PDT
Created attachment 317560 [details]
Patch
Comment 8 Saam Barati 2017-08-29 14:37:54 PDT
Comment on attachment 317560 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317560&action=review

r=me

> Source/JavaScriptCore/ChangeLog:10
> +        to apply this reifying mechanism to builtin JSFunction to simply code and drop

simply => simplify
Comment 9 Yusuke Suzuki 2017-08-29 16:54:23 PDT
Comment on attachment 317560 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317560&action=review

>> Source/JavaScriptCore/ChangeLog:10
>> +        to apply this reifying mechanism to builtin JSFunction to simply code and drop
> 
> simply => simplify

Thanks, fixed.
Comment 10 Yusuke Suzuki 2017-08-29 17:06:50 PDT
Committed r221327: <http://trac.webkit.org/changeset/221327>
Comment 11 Radar WebKit Bug Importer 2017-08-29 17:08:17 PDT
<rdar://problem/34147418>
Comment 12 Ryan Haddad 2017-08-30 09:13:16 PDT
(In reply to Yusuke Suzuki from comment #10)
> Committed r221327: <http://trac.webkit.org/changeset/221327>
This change caused 8 failures on test262:

https://build.webkit.org/builders/Apple%20El%20Capitan%20Release%20Test262%20%28Tests%29/builds/3724
Comment 13 Ryan Haddad 2017-08-30 15:54:27 PDT
Reverted r221327 for reason:

This change caused test262 failures.

Committed r221404: <http://trac.webkit.org/changeset/221404>
Comment 14 Yusuke Suzuki 2017-08-31 03:04:55 PDT
Committed r221417: <http://trac.webkit.org/changeset/221417>